Bug 443037 - SOS does not collect ext3 filesystem information.
SOS does not collect ext3 filesystem information.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sos (Show other bugs)
4.6
All Linux
urgent Severity medium
: rc
: ---
Assigned To: Adam Stokes
: ZStream
Depends On: 433183
Blocks: 467444 469008 469009
  Show dependency treegraph
 
Reported: 2008-04-18 07:18 EDT by Adam Stokes
Modified: 2009-05-18 16:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:23:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Stokes 2008-04-18 07:18:42 EDT
+++ This bug was initially created as a clone of Bug #433183 +++

Description of problem:

SOS(sosreport) does not collect Ext2/3 filesystems information.

Version-Release number of selected component (if applicable):

sos-1.7-9.1.el5

How reproducible:
Always

Steps to Reproduce:
Execute sysreport(sos) on RHEL4/RHEL5

Actual results:
Not collects ext3 filesystem information.

Expected results:
should include the output of the command: "dumpe2fs <ext2 filesystem>"

Additional info:
Please see the attached file.

-- Additional comment from jzhenyon@redhat.com on 2008-02-17 03:01 EST --
Created an attachment (id=295092)
dumpe2fs plugins


-- Additional comment from jzhenyon@redhat.com on 2008-02-17 03:08 EST --
(From update of attachment 295092 [details])
### This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

import sos.plugintools
import os
import string

class dumpe2fs(sos.plugintools.PluginBase):
    """dumpe2fs related information
    """
    def setup(self):
	inpipe, pipe = os.popen4("mount -t ext3", 'r')
	inpipe.close()
	for line in pipe.readlines():
		L = string.split(line)
		str = "dumpe2fs " + L[0]
		self.collectExtOutput(str)

	pipe.close()
	return


-- Additional comment from astokes@redhat.com on 2008-03-03 19:33 EST --
Thanks for the patch, however, all this needed was a minor alteration to the
filesys plugin as it was already capturing ext2/3 tunable parameters. dumpe2fs
just extends on that so tune2fs was replaced.

Thanks

-- Additional comment from astokes@redhat.com on 2008-04-09 09:28 EST --
Committed to filesys plugin
Comment 1 RHEL Product and Program Management 2008-04-18 07:20:04 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 18 errata-xmlrpc 2009-05-18 16:23:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0994.html

Note You need to log in before you can comment on or make changes to this bug.